package com.railway.business.baseinfo.service;

import com.railway.business.baseinfo.domain.BasePreventBird;
import java.util.List;
/**
* 九防台账-防鸟 
* @author wuhonghao
* @date 2021/11/12
*/
public interface IBasePreventBirdService{

    /**
    * 新增
    */
    int create(BasePreventBird basePreventBird);

    /**
    * 删除
    */
    int delete(String[] ids);

    /**
    * 更新
    */
    int update(BasePreventBird basePreventBird);

    /**
    * 获取单个
    */
    BasePreventBird getInfo(String id);

    /**
    * 查询列表
    */
    List<BasePreventBird> getList(BasePreventBird basePreventBird);

}
